## ros-noetic-rm-hw 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_hw)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Optimize
# set(CMAKE_CXX_FLAGS_RELEASE "-O3")

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror -Wno-inconsistent-missing-override)
## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        roscpp
        roslint

        rm_common
        rm_msgs
        hardware_interface
        controller_interface
        transmission_interface
        joint_limits_interface
        controller_manager
        urdf
        realtime_tools
        )

## Find system libraries
#find_package(Eigen3 REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        ${PROJECT_NAME}_loader_plugins
        CATKIN_DEPENDS
        roscpp
        roslint

        rm_common
        rm_msgs
        hardware_interface
        controller_interface
        transmission_interface
        joint_limits_interface
        controller_manager
        urdf
        realtime_tools
        DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
        include
        ${catkin_INCLUDE_DIRS}
)
add_library(${PROJECT_NAME}_loader_plugins
        src/transmission/multi_actuator_transmission_loader.cpp
        )
## Declare cpp executables
add_executable(${PROJECT_NAME}
        src/${PROJECT_NAME}.cpp
        src/hardware_interface/hardware_interface.cpp
        src/hardware_interface/parse.cpp
        src/hardware_interface/socketcan.cpp
        src/hardware_interface/can_bus.cpp
        src/hardware_interface/gpio_manager.cpp
        src/control_loop.cpp
        )

## Specify libraries to link executable targets against
target_link_libraries(${PROJECT_NAME}_loader_plugins
        ${catkin_LIBRARIES}
        )
target_link_libraries(${PROJECT_NAME}
        ${catkin_LIBRARIES}
        )

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_loader_plugins
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        )

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
        )

# Mark other files for installation
install(DIRECTORY config launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        )
install(
        FILES rm_hw_loader_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

##########################
## Static code analysis ##
##########################

roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-hw (0.1.17-1buster) buster; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-hw (0.1.16-1buster) buster; urgency=high

  * Merge branch 'master' into new_ui_test
  * Merge branch 'master' into dev/command_sender
  * Merge pull request #79 <https://github.com/ye-luo-xi-tui/rm_control/issues/79> from ye-luo-xi-tui/rm_imu_handle
    Add RmImuSensorInterface and add a service to enable or disable imus in rm_gazebo
  * Add RmImuSensorInterface.
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_control/issues/70> from chenhuiYu00/rm_referee_pr
    Complete the referee part of manual separation.
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge pull request #72 <https://github.com/ye-luo-xi-tui/rm_control/issues/72> from ye-luo-xi-tui/dev
    Fix realtime loop
  * Type conversion.
  * Merge branch 'master' into rm_referee_pr_buffer
    # Conflicts:
    #     rm_common/include/rm_common/decision/power_limit.h
  * Merge pull request #69 <https://github.com/ye-luo-xi-tui/rm_control/issues/69> from Edwinlinks/gpio-name-modify
    Modify the name of gpio manager which was misnamed before by his developers.
  * Merge pull request #68 <https://github.com/ye-luo-xi-tui/rm_control/issues/68> from Edwinlinks/modify-tof-can
    Add continue which was missing in the previous development.
  * Modify the name of gpio manager which was misnamed before.
  * Add continue in tof data parsing.
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Merge branch 'master' into referee1
  * Merge branch 'master' into referee1
  * Fixed for test manual,Immature work.
  * Ljq update,fixed for test manual,Immature work.
  * Contributors: Edwinlinks, QiayuanLiao, ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.15-1buster) buster; urgency=high

  * Add namespace.
  * Fix realtime loop.
  * Contributors: yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.14-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.13-1buster) buster; urgency=high

  * Merge pull request #58 <https://github.com/rm-controls/rm_control/issues/58> from Edwinlinks/tf-radar-interface
    Update tof radar interface and Add tof radar msg to rm_msgs
  * Delete tof sensor interface, modify radar_data to tof_data
  * Delete tof sensor interface, TofSensor.msg.
  * Change tf_radar_interface to tof_radar_interface and change TfRadarData.msg to TofRadarData.msg
  * Add member tf_radar_interface_ to hardware_interface.h
  * Update tf radar interface and Add tf radar msg to rm_msgs
  * Contributors: Edwinlinks, ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.12-1buster) buster; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.11-1buster) buster; urgency=high

  * Merge pull request #52 <https://github.com/ye-luo-xi-tui/rm_control/issues/52> from XYM-github/gpio_interface_2.0
    Changed gpio type in gpio interface to enum.
  * Add the namespace of gpio_manager.
  * Move gpio type from rm_hw to rm_common.
  * Changed gpio type in gpio interface to enum.
  * Gpio interface 2 (#51 <https://github.com/ye-luo-xi-tui/rm_control/issues/51>)
    * Write a gpio_manager, it can initialize with pin ID and direction, and write output or read Input.
    * Modifier readInput().
    * Write gpio_state_interface.h(read only)
    * write gpio_state_interface.h(read only)
    * Modifier gpio manager. Write a new writeOutput() function.
    * Add gpio_state_interface in robotHW
    * Solve a error
    * Modifier names of variables.
    * Set GpioReadHandle and GpioWriteHandle. Register GpioReadInterface and GpioWriteInterface. Improve the code about gpio and delete unnecessary things.
    * Add GpioRead.msg GpioWrite.msg.
    * Add Gpio controller.
    * Update Gpio controller.
    * Update Gpio controller.
    * Update gpio controller.
    * Update gpio_controller.
    * Update gpio_controller to version 2.0.
    * Update gpio_interface to version2.0.
    Co-authored-by: yezi <mailto:1536117624@qq.com>
    Co-authored-by: ye-luo-xi-tui <mailto:74857762+ye-luo-xi-tui@users.noreply.github.com>
    Co-authored-by: QiayuanLiao <mailto:liaoqiayuan@gmail.com>
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_control/issues/46> from XYM-github/imu_angular_offset
    Add imu angular_vel_offset.
  * Add imu angular_vel_offset.
  * Merge remote-tracking branch 'origin/master'
  * Contributors: Edwinlinks, QiayuanLiao, XYM-github, Yuexin Mu, YuuinIH, chenzheng, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.10-1buster) buster; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Code style


=== debian/control ===
Source: ros-noetic-rm-hw
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-transmission-interface, ros-noetic-urdf
Description: ROS control warped interface for RoboMaster motor and some robot hardware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-hw//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rm-hw 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
 find_package(catkin REQUIRED
         COMPONENTS
         roscpp
-        roslint
 
         rm_common
         rm_msgs
@@ -47,7 +46,6 @@
         ${PROJECT_NAME}_loader_plugins
         CATKIN_DEPENDS
         roscpp
-        roslint
 
         rm_common
         rm_msgs
@@ -130,9 +128,3 @@
 #      test/AlgorithmTest.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-hw (0.1.18-1focal) focal; urgency=high

  * Merge branch 'master' into dev/polygon_ui
  * Merge branch 'master' into gazebo_imu_reserve
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-hw (0.1.17-1focal) focal; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-hw (0.1.16-1focal) focal; urgency=high

  * Merge branch 'master' into new_ui_test
  * Merge branch 'master' into dev/command_sender
  * Merge pull request #79 <https://github.com/ye-luo-xi-tui/rm_control/issues/79> from ye-luo-xi-tui/rm_imu_handle
    Add RmImuSensorInterface and add a service to enable or disable imus in rm_gazebo
  * Add RmImuSensorInterface.
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_control/issues/70> from chenhuiYu00/rm_referee_pr
    Complete the referee part of manual separation.
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge pull request #72 <https://github.com/ye-luo-xi-tui/rm_control/issues/72> from ye-luo-xi-tui/dev
    Fix realtime loop
  * Type conversion.
  * Merge branch 'master' into rm_referee_pr_buffer
    # Conflicts:
    #     rm_common/include/rm_common/decision/power_limit.h
  * Merge pull request #69 <https://github.com/ye-luo-xi-tui/rm_control/issues/69> from Edwinlinks/gpio-name-modify
    Modify the name of gpio manager which was misnamed before by his developers.
  * Merge pull request #68 <https://github.com/ye-luo-xi-tui/rm_control/issues/68> from Edwinlinks/modify-tof-can
    Add continue which was missing in the previous development.
  * Modify the name of gpio manager which was misnamed before.
  * Add continue in tof data parsing.
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Merge branch 'master' into referee1
  * Merge branch 'master' into referee1
  * Fixed for test manual,Immature work.
  * Ljq update,fixed for test manual,Immature work.
  * Contributors: Edwinlinks, QiayuanLiao, ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.15-1focal) focal; urgency=high

  * Add namespace.
  * Fix realtime loop.
  * Contributors: yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.14-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.13-1focal) focal; urgency=high

  * Merge pull request #58 <https://github.com/rm-controls/rm_control/issues/58> from Edwinlinks/tf-radar-interface
    Update tof radar interface and Add tof radar msg to rm_msgs
  * Delete tof sensor interface, modify radar_data to tof_data
  * Delete tof sensor interface, TofSensor.msg.
  * Change tf_radar_interface to tof_radar_interface and change TfRadarData.msg to TofRadarData.msg
  * Add member tf_radar_interface_ to hardware_interface.h
  * Update tf radar interface and Add tf radar msg to rm_msgs
  * Contributors: Edwinlinks, ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.12-1focal) focal; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-hw (0.1.11-1focal) focal; urgency=high

  * Merge pull request #52 <https://github.com/ye-luo-xi-tui/rm_control/issues/52> from XYM-github/gpio_interface_2.0
    Changed gpio type in gpio interface to enum.
  * Add the namespace of gpio_manager.
  * Move gpio type from rm_hw to rm_common.
  * Changed gpio type in gpio interface to enum.
  * Gpio interface 2 (#51 <https://github.com/ye-luo-xi-tui/rm_control/issues/51>)
    * Write a gpio_manager, it can initialize with pin ID and direction, and write output or read Input.
    * Modifier readInput().
    * Write gpio_state_interface.h(read only)
    * write gpio_state_interface.h(read only)
    * Modifier gpio manager. Write a new writeOutput() function.
    * Add gpio_state_interface in robotHW
    * Solve a error
    * Modifier names of variables.
    * Set GpioReadHandle and GpioWriteHandle. Register GpioReadInterface and GpioWriteInterface. Improve the code about gpio and delete unnecessary things.
    * Add GpioRead.msg GpioWrite.msg.
    * Add Gpio controller.
    * Update Gpio controller.
    * Update Gpio controller.
    * Update gpio controller.
    * Update gpio_controller.
    * Update gpio_controller to version 2.0.
    * Update gpio_interface to version2.0.
    Co-authored-by: yezi <mailto:1536117624@qq.com>


=== debian/control ===
Source: ros-noetic-rm-hw
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-transmission-interface, ros-noetic-urdf
Description: ROS control warped interface for RoboMaster motor and some robot hardware
